# Pro non-working time demo (Angular)

This example uses Bryntum Scheduler Pro wrapped in the provided BryntumSchedulerProComponent wrapper.
Shows a Scheduler Pro setup with a working hours calendar and time axis filtering

This application was generated with:

* [Angular](https://angular.io/) [13.3.0]

# Bryntum Repository access setup

**IMPORTANT NOTE!** These access instructions are mandatory when using the private Bryntum NPM repository.

This application uses npm packages from the Bryntum private NPM repository. You must be logged-in to this repository as
a licensed or trial user to access the packages.

Please check [Online npm repository guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/npm-repository) for the detailed information on the
sign-up/login process.

# Angular integration guide

Please check the [Bryntum Angular integration online guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/integration/angular/guide) for detailed
integration information and help.

# Installation

Use the following command to install the example packages after the successful login.

Using **npm**:

```shell
$ npm install
```

Using **yarn**:

```shell
$ yarn install
```

# Running a development server

To build example and start development server run this command:

Using **npm**:

```shell
$ npm run start
```

Using **yarn**:

```shell
$ yarn run start
```

Navigate to `http://localhost:4200/` or `http://127.0.0.1:4200/` in your browser. We recommend to use latest versions of
modern browsers like Chrome, FireFox, Safari or Edge (Chromium). The app will automatically reload if you change any of
the source files.

# Creating a production build

To build production code for the example run this command:

Using **npm**:

```shell
$ npm run build
```

Using **yarn**:

```shell
$ yarn run build
```

The build artifacts will be stored in the `dist/` directory.

# Distribution zip references

* Bryntum API docs. Open `docs/index.html` in your browser.
* Bryntum Repository guide `docs/guides/npm-repository.md`.
* Bryntum Angular integration guide `docs/guides/integration/angular/guide.md`.

# Online References

* [Angular Framework](https://angular.io)
* [Bryntum Angular integration guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/integration/angular/guide)
* [Bryntum Scheduler Pro documentation](https://bryntum.com/products/schedulerpro/docs/)
* [Bryntum Scheduler Pro examples](https://bryntum.com/products/schedulerpro/examples/)
* [Bryntum npm repository guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/npm-repository)
* [Bryntum support Forum](https://forum.bryntum.com/)
* [Contacts us](https://bryntum.com/contact/)
