import { BrowserModule } from '@angular/platform-browser';
import { BryntumSchedulerProModule } from '@bryntum/schedulerpro-angular';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { GanttComponent } from './gantt/gantt.component';
import { GanttColorizationService } from './gantt/gantt-colorization.service';

@NgModule({
    declarations : [AppComponent, GanttComponent],
    imports      : [BrowserModule, BryntumSchedulerProModule, FormsModule],
    providers    : [GanttColorizationService],
    bootstrap    : [AppComponent]
})
export class AppModule {}
